STRCOLL(3)

NAME
strcoll - compare two strings using the current locale

SYNOPSIS
#include <string.h>

int strcoll(const char *s1, const char *s2);

DESCRIPTION
The strcoll() function compares the two strings s1 and s2. It returns an integer less than, equal to, or greater than zero if s1 is found, respectively, to be less than, to match, or be greater than s2. The comparison is based on strings interpreted as appropriate for the program's current locale for category LC_COLLATE. (See setlocale(3)).

RETURN VALUE
The strcoll() function returns an integer less than, equal to, or greater than zero if s1 is found, respectively, to be less than, to match, or be greater than s2, when both are interpreted as appropriate for the current locale.

CONFORMING TO
SVr4, 4.3BSD, C99.

NOTES
In the "POSIX" or "C" locales strcoll() is equivalent to strcmp().

SEE ALSO
bcmp(3), memcmp(3), setlocale(3), strcasecmp(3), strcmp(3), strxfrm(3)